=== debian/changelog ===
sqlitecpp (3.2.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports

 -- Bastian Germann <bage@debian.org>  Sun, 23 Oct 2022 19:49:13 +0200

sqlitecpp (3.2.0-2) unstable; urgency=medium

  * Only enable tests on native build

 -- Bastian Germann <bage@debian.org>  Mon, 17 Oct 2022 09:53:38 +0200

sqlitecpp (3.2.0-1) unstable; urgency=low

  * Initial release (Closes: #996539)

 -- Bastian Germann <bage@debian.org>  Fri, 14 Oct 2022 17:00:01 +0200
