## sqlitecpp 3.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # or copy at http://opensource.org/licenses/MIT)
 cmake_minimum_required(VERSION 3.1) # for "CMAKE_CXX_STANDARD" version
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake") # custom CMake modules like FindSQLiteCpp
-project(SQLiteCpp VERSION 3.2.0)
+project(SQLiteCpp VERSION 3.2.1)
 
 # SQLiteC++ 3.x requires C++11 features
 if (NOT CMAKE_CXX_STANDARD)
@@ -20,7 +20,7 @@
 message (STATUS "CMake version: ${CMAKE_VERSION}")
 message (STATUS "Project version: ${PROJECT_VERSION}")
 
-option(SQLITECPP_USE_STATIC_RUNTIME "Use MSVC static runtime (default for internal googletest)." ON)
+option(SQLITECPP_BUILD_TESTS "Build and run tests." OFF)
 
 # Define useful variables to handle OS differences:
 if (WIN32)
@@ -36,6 +36,7 @@
     # disable Visual Studio warnings for fopen() used in the example
     add_definitions(-D_CRT_SECURE_NO_WARNINGS)
     # Flags for linking with multithread static C++ runtime, required by internal googletest
+    option(SQLITECPP_USE_STATIC_RUNTIME "Use MSVC static runtime (default for internal googletest)." ${SQLITECPP_BUILD_TESTS})
     if (SQLITECPP_USE_STATIC_RUNTIME)
         message(STATUS "Linking against multithread static C++ runtime")
         set(CMAKE_C_FLAGS_RELEASE   "${CMAKE_C_FLAGS_RELEASE} /MT")
@@ -47,16 +48,19 @@
     if (MSVC_VERSION LESS 1900) # OR MSVC_TOOLSET_VERSION LESS 140)
       message(ERROR "Visual Studio prior to 2015 is not supported anymore.")
     endif (MSVC_VERSION LESS 1900)
-else (MSVC)
+else (MSVC) # Unix/macOS/MinGW
     set(CPPLINT_ARG_OUTPUT      "--output=eclipse")
     set(CPPCHECK_ARG_TEMPLATE   "--template=gcc")
     # Useful compile flags and extra warnings
-    # Stack protection is not supported on MinGW-W64 on Windows, allow this flag to be turned off.
-    option(SQLITECPP_USE_STACK_PROTECTION "USE Stack Protection hardening." ON)
-    if (SQLITECPP_USE_STACK_PROTECTION)
-        message (STATUS "Using Stack Protection hardening")
-        add_compile_options(-fstack-protector)
-    endif()
+    if (NOT MINGW)
+        # Stack protection is not supported on MinGW-W64 on Windows.
+        # Allow this flag to be turned off.
+        option(SQLITECPP_USE_STACK_PROTECTION "USE Stack Protection hardening." ON)
+        if (SQLITECPP_USE_STACK_PROTECTION)
+            message (STATUS "Using Stack Protection hardening")
+            add_compile_options(-fstack-protector)
+        endif (SQLITECPP_USE_STACK_PROTECTION)
+    endif (NOT MINGW)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wswitch-enum -Wshadow -Wno-long-long") # C++ only, don't bother with sqlite3
     if (CMAKE_COMPILER_IS_GNUCXX)
         # GCC flags
@@ -244,7 +248,7 @@
     option(SQLITE_ENABLE_JSON1 "Enable JSON1 extension when building internal sqlite3 library." ON)
     # build the SQLite3 C library (for ease of use/compatibility) versus Linux sqlite3-dev package
     add_subdirectory(sqlite3)
-    target_link_libraries(SQLiteCpp PUBLIC sqlite3)
+    target_link_libraries(SQLiteCpp PUBLIC SQLite::SQLite3)
 else (SQLITECPP_INTERNAL_SQLITE)
     # When using the SQLite codec, we need to link against the sqlcipher lib & include <sqlcipher/sqlite3.h>
     # So this gets the lib & header, and links/includes everything
@@ -261,7 +265,3 @@
                 target_include_directories(SQLiteCpp PRIVATE ${sqlcipher_INCLUDE_DIRS})
             else()
                 pkg_check_modules(sqlcipher REQUIRED IMPORTED_TARGET sqlcipher)
-                # Only used in Database.cpp so PRIVATE to hide from end-user
-                target_link_libraries(SQLiteCpp PRIVATE PkgConfig::sqlcipher)
-            endif()
-        else()
