=== sqlite3/CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,12 @@
  sqlite3.h
 )
 
+add_library(SQLite::SQLite3 ALIAS sqlite3)
+
 target_include_directories(sqlite3
-  PRIVATE $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
-  PUBLIC $<INSTALL_INTERFACE:include/>)
+  PUBLIC
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
+    $<INSTALL_INTERFACE:include/>)
 
 if (SQLITE_ENABLE_COLUMN_METADATA)
     # Enable the use of SQLite column metadata method
