=== debian/changelog ===
sqlitecpp (3.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Bastian Germann <bage@debian.org>  Fri, 16 Dec 2022 17:38:01 +0100
