=== debian/changelog ===
sqlitecpp (3.3.0-1) unstable; urgency=medium

  * New upstream version

 -- Bastian Germann <bage@debian.org>  Mon, 19 Jun 2023 01:36:20 +0200
