=== debian/changelog ===
sqlitecpp (3.3.1-1) unstable; urgency=medium

  * QA upload
  * New upstream version
  * Orphan the package

 -- Bastian Germann <bage@debian.org>  Tue, 07 Nov 2023 00:01:50 +0100
