=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: sqlitecpp
 Priority: optional
-Maintainer: Bastian Germann <bage@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libsqlite3-dev (>= 3.7.15),
  python3:any, cppcheck <!nocheck>, libgtest-dev <!nocheck>
 Standards-Version: 4.4.1
