=== debian/changelog ===
sqlitecpp (3.3.2-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Feb 2025 17:13:08 -0500
