=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libsqlite3-dev (>= 3.7.15),
  python3:any, cppcheck <!nocheck>, libgtest-dev <!nocheck>
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://srombauts.github.io/SQLiteCpp/
 Vcs-Git: https://salsa.debian.org/debian/sqlitecpp.git
