=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
BUILD_TESTS=-DSQLITECPP_BUILD_TESTS=on
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DSQLITECPP_INTERNAL_SQLITE=off -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) $(BUILD_TESTS)
