## sqlitecpp 3.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # Main CMake file for compiling the library itself, examples and tests.
 #
-# Copyright (c) 2012-2024 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+# Copyright (c) 2012-2025 Sebastien Rombauts (sebastien.rombauts@gmail.com)
 #
 # Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
 # or copy at http://opensource.org/licenses/MIT)
 cmake_minimum_required(VERSION 3.5)
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake") # custom CMake modules like FindSQLiteCpp
-project(SQLiteCpp VERSION 3.3.2)
+project(SQLiteCpp VERSION 3.3.3)
 
 # SQLiteC++ 3.x requires C++11 features
 if (NOT CMAKE_CXX_STANDARD)
@@ -188,7 +188,9 @@
     set(SQLITECPP_SCRIPT
      .editorconfig
      .gitbugtraq
+     .github/dependabot.yml
      .github/workflows/cmake.yml
+     .github/workflows/cmake_builtin_lib.yml
      .github/workflows/cmake_subdir_example.yml
      .github/workflows/meson.yml
      .gitignore
@@ -197,10 +199,13 @@
      appveyor.yml
      build.bat
      build.sh
+     cmake/FindSQLite3.cmake
+     cmake/SQLiteCppConfig.cmake.in
      cpplint.py
      Doxyfile
-     cmake/FindSQLite3.cmake
-     cmake/SQLiteCppConfig.cmake.in
+     meson.build
+     meson_options.txt
+     package.xml
     )
     source_group(scripts FILES ${SQLITECPP_SCRIPT})
 endif()
@@ -275,4 +280,3 @@
 
 option(SQLITECPP_INTERNAL_SQLITE "Add the internal SQLite3 source to the project." ON)
 if (SQLITECPP_INTERNAL_SQLITE)
-    message(STATUS "Compile sqlite3 from source in subdirectory")
