=== examples/example2/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Example CMake file for compiling & linking a project with the the SQLiteCpp wrapper
 #
-# Copyright (c) 2012-2021 Sebastien Rombauts (sebastien.rombauts@gmail.com)
+# Copyright (c) 2012-2023 Sebastien Rombauts (sebastien.rombauts@gmail.com)
 #
 # Distributed under the MIT License (MIT) (See accompanying file LICENSE.txt
 # or copy at http://opensource.org/licenses/MIT)
