=== debian/changelog ===
sqlitecpp (3.3.3-2) unstable; urgency=medium

  * QA upload.
  * Add debian/salsa-ci.yml.
  * Drop <!nocheck> from libgtest-dev build-dependency. Closes: #1116917.

 -- Santiago Vila <sanvila@debian.org>  Thu, 02 Oct 2025 23:55:00 +0200

sqlitecpp (3.3.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 17:53:18 -0400
