=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libsqlite3-dev (>= 3.7.15),
- python3:any, cppcheck <!nocheck>, libgtest-dev <!nocheck>
-Standards-Version: 4.7.0
+ python3:any, cppcheck <!nocheck>, libgtest-dev
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://srombauts.github.io/SQLiteCpp/
 Vcs-Git: https://salsa.debian.org/debian/sqlitecpp.git
