=== debian/watch ===
version=4
https://github.com/SRombauts/SQLiteCpp/tags .*/(\d[\d\.]+)\.tar\.gz
